3.0 backwards compatible

Discussion in 'iOS Programming' started by Kaliemon, Mar 21, 2009.

  1. Kaliemon macrumors member

    Joined:
    Apr 30, 2006
    #1
    Does anyone know if the 3.0 firmware can run apps targeted for 2.x firmware?

    I'm planning on installing it, but I use some apps from the app store a lot and I need to be able to run them.
     
  2. tlove macrumors member

    tlove

    Joined:
    Jul 17, 2008
  3. fishkorp macrumors 68020

    fishkorp

    Joined:
    Apr 10, 2006
    Location:
    Ellicott City, MD
    #3
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 3_0 like Mac OS X; en-us) AppleWebKit/528.11 (KHTML, like Gecko) Version/3.1.1 Mobile/7A238j Safari/525.20)

    Some work, some don't. It's really trial and error.
     
  4. drivefast macrumors regular

    Joined:
    Mar 13, 2008
    #4
    not that i'm running into trouble (yet), but once youre on 3.0 how can you roll back the phone os to 2.2.1? itunes says i've got the latest OS and wouldnt let me go back. the organizer would probably let me downgrade, but it's asking for the 2.2.1 ipsw file, which i dont have anymore. can any one of you give me a hint where can i find it. thanks.
     
  5. dejo Moderator

    dejo

    Staff Member

    Joined:
    Sep 2, 2004
    Location:
    The Centennial State
    #5

Share This Page